Skip to main content
Resource Center/Resource Pool/Image Operations

SetImageBootMode

SetImageBootMode

PUT/zstack/v1/images/{uuid}/actions

Operation ID

SetImageBootMode

Since

3.9.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • bootMode
    StringRequired

    The image boot mode.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.